# Generated by Django 3.0.6 on 2020-07-01 13:01

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Toolbox',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=64, verbose_name='Toolbox Title')),
                ('description', models.TextField(blank=True, null=True, verbose_name='Description')),
                ('price', models.FloatField(default=100.0, verbose_name='Toolbox Price')),
                ('level', models.PositiveSmallIntegerField(choices=[(0, 'Beginner'), (1, 'Intermediate'), (2, 'Advanced'), (3, 'All')], default=0)),
                ('is_active', models.BooleanField(default=True, verbose_name='Active')),
                ('launched_on', models.DateField(blank=True, null=True, verbose_name='Launch Date')),
                ('created_at', models.DateTimeField(auto_now_add=True, verbose_name='Created at')),
                ('updated_at', models.DateTimeField(auto_now=True, verbose_name='Updated at')),
                ('instructor', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'Toolbox',
                'verbose_name_plural': 'Toolboxes',
            },
        ),
        migrations.CreateModel(
            name='Tool',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=64, verbose_name='Toolbox Title')),
                ('short_description', models.TextField(blank=True, null=True, verbose_name='Description')),
                ('sequence_number', models.PositiveIntegerField(default=0, verbose_name='Sequence')),
                ('content_url', models.URLField(blank=True, null=True, verbose_name='Content URL')),
                ('code_snippet', models.TextField(blank=True, null=True, verbose_name='Content')),
                ('created_at', models.DateTimeField(auto_now_add=True, verbose_name='Created at')),
                ('updated_at', models.DateTimeField(auto_now=True, verbose_name='Updated at')),
                ('duration', models.DurationField(blank=True, null=True, verbose_name='Duration')),
                ('toolbox', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='toolbox.Toolbox')),
            ],
            options={
                'verbose_name': 'Toolbox',
                'verbose_name_plural': 'Toolboxes',
            },
        ),
        migrations.CreateModel(
            name='Rating',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('value', models.IntegerField(default=0, verbose_name='Rating')),
                ('rated_by', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
                ('rated_toolbox', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='toolbox.Toolbox')),
            ],
        ),
        migrations.CreateModel(
            name='Comment',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('content', models.TextField(blank=True, null=True, verbose_name='Comment')),
                ('created_at', models.DateTimeField(auto_now_add=True, verbose_name='Created at')),
                ('updated_at', models.DateTimeField(auto_now=True, verbose_name='Updated at')),
                ('comment_by', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
                ('related_tool', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='toolbox.Toolbox')),
            ],
        ),
    ]
